List conversations linked to deal
GET
/v1/crm/deals/{dealID}/conversationsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
dealIDstringrequiredResponses
200OK
itemsDealConversationItem[] | nullrequiredShow propertiesHide properties
Array of
DealConversationItemchannel_idstringrequiredcontact_idstringrequiredcontact_namestringcontact_phonestringrequiredcreated_atstringrequiredidstringrequiredlast_message_atstringrequiredlast_message_previewstringstatusstringrequiredupdated_atstringrequiredmetaPaginationMetarequiredShow propertiesHide properties
cursorstringhas_morebooleanrequiredlimitinteger<int64>requirednext_cursorstringoffsetinteger<int64>totalinteger<int64>400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/crm/deals/string/conversations"const response = await fetch("/v1/crm/deals/string/conversations", {
method: "GET"
});import requests
response = requests.get(
"/v1/crm/deals/string/conversations",
)Response
{
"items": [
{
"channel_id": "string",
"contact_id": "string",
"contact_name": "string",
"contact_phone": "string",
"created_at": "string",
"id": "string",
"last_message_at": "string",
"last_message_preview": "string",
"status": "string",
"updated_at": "string"
}
],
"meta": {
"cursor": "string",
"has_more": true,
"limit": 0,
"next_cursor": "string",
"offset": 0,
"total": 0
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}